SQ(1)

NAME
sq key export - Export keys from the key store

SYNOPSIS
sq key export [OPTIONS]

DESCRIPTION
Export keys from the key store.

Exports the secret key material associated with a certificate. Note that even if secret key material is available, it may not be exportable. For instance, secret key material stored on a hardware security module usually cannot be exported from the device.

If you only want to export a particular key and not all keys associate with a certificate, use `sq key subkey export`.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Export the specified certificate with its secret key material.

    Iterate over the specified certificate's primary key and subkeys and export any keys with secret key material. An error is returned if the certificate does not contain any secret key material.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Export Alice's certificate with all available secret key material.

    sq key export --cert EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)